<?php
/*Front end view of services shortcode
==================================*/
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$paged = (get_query_var('paged'))?get_query_var('paged'):1;
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

	if($services_grid_column==4)
	{
		$carousel_col_class = 3;
	}
	elseif($services_grid_column==3)
	{
		$carousel_col_class = 4;
	}
	elseif($services_grid_column==6)
	{
		$carousel_col_class = 2;
	}
	elseif($services_grid_column==12)
	{
		$carousel_col_class = 1;
	}
	$post_output = '<div class="'.esc_attr( $css_class ).'">';
	if($services_view=="carousel"){
		$post_output .= '<div class="carousel-wrapper">';
	} elseif($services_view=="grid"){
		$post_output .= '<div class="row">';
	}
	if($services_view=="carousel")
	{
		if ( is_rtl() )
		{
			$data_rtl = 'data-rtl="rtl"';
		}
		else
		{
			$data_rtl = 'data-rtl="ltr"';
		}
		if($services_carousel_arrows==1){
			$carrows = 'yes';
		} else {
			$carrows = 'no';
		}
		if($services_carousel_pagi==1){
			$cpagi = 'yes';
		} else {
			$cpagi = 'no';
		}
		if($services_carousel_rotate!=''){
			$cauto = $services_carousel_rotate;
		} else {
			$cauto = '';
		}
		$post_output .= '<div class="row"><ul class="owl-carousel carousel-fw services-carousel services-list" data-columns="'.esc_attr($carousel_col_class).'" data-autoplay="'.$cauto.'" data-pagination="'.$cpagi.'" data-arrows="'.$carrows.'" data-single-item="no" data-items-desktop="'.esc_attr($carousel_col_class).'" data-items-desktop-small="'.esc_attr($carousel_col_class).'" data-items-tablet="2" data-items-mobile="1" '.$data_rtl.'>';
	}
	elseif($services_view=="list")
	{
		$post_output .= '<ul class="services-list">';
	}
	elseif($services_view=="grid")
	{
		$post_output .= '<ul class="grid-holder isotope gallery-items services-list" data-sort-id="gallery">';
	}
	if($services_terms!='')
	{
		$terms = explode(',', $services_terms);
		$post_args = array('post_type'=>'service', 'posts_per_page'=>$services_number, 'paged' => $paged, 'tax_query'=>array(array('taxonomy'=>'service-category', 'field'=>'term_id', 'terms'=>$terms, 'operator'=>'IN')));
	}
	else
	{
		$post_args = array('post_type'=>'service', 'posts_per_page'=>$services_number, 'paged' => $paged);
	}
	$post_list = new WP_Query($post_args);
	if($post_list->have_posts()):while($post_list->have_posts()):$post_list->the_post();
	$thumbnail = get_the_post_thumbnail(get_the_ID(),$services_img_size);
	if($services_img_size != ''){
		$post_thumbnail = wpb_getImageBySize( array('post_id' => get_the_ID(),'thumb_size' => $services_img_size) );
		$thumbnail = $post_thumbnail['thumbnail'];
	} else {
		$post_thumbnail = get_the_post_thumbnail(get_the_ID(),'tentered-450x400');
		$thumbnail = $post_thumbnail;
	}
	
	$services_icon = get_post_meta(get_the_ID(), 'tentered_service_icon', true);
	if($services_icon != ''){
		$icon = $services_icon;
	} else {
		$icon = 'fa-camera';
	}
	
	// Carousel View
	if($services_view=="carousel")
	{
	$post_output .= '<li class="item">
                     <div class="grid-item service-grid-item service-carousel-item format-standard">';
	if($services_linked == 1){
		$post_output .= '<a href="'.get_the_permalink().'">';
	}
	if($services_thumb == 'icon'){
		$post_output .= '<section><div>';
		$post_output .= '<i class="fa '.$icon.'"></i>';
	} else {
		$post_output .= '<section class="service-imagen"><div>';
		if(has_post_thumbnail())
		{
			$post_output .= $thumbnail;
		} else {
			$post_output .= '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" alt="Image">';
		}
	}
                   
   	$post_output .= '<h3>'.get_the_title().'</h3></div>
                  
                  <div class="services-overlay">';
					if($services_excerpt_number != '' && $services_excerpt_number != 0){
                  		$post_output .= '<div class="services-info"><div>';
                    	$post_output .= tentered_excerpt($services_excerpt_number);
                  		$post_output .= '</div></div>';
					}
	$post_output .= '</div></section>';
	if($services_linked == 1){
		$post_output .= '</a>';
	}
	$post_output .= '</div></li>';			 
	}
	elseif($services_view=="list")
	// List View
	{
		$post_output .= '<li class="service-list-item format-standard">
                        	<div class="row">';
		
    	$post_output .= '<div class="col-md-4 col-sm-4">';
		if($services_linked == 1){
			$post_output .= '<a href="'.get_the_permalink().'">';
		}
		if($services_thumb == 'icon'){
			$post_output .= '<section><div>';
			$post_output .= '<i class="fa '.$icon.'"></i>';
		} else {
			$post_output .= '<section class="service-imagen"><div>';
			if(has_post_thumbnail())
			{
				$post_output .= $thumbnail;
			} else {
				$post_output .= '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" alt="Image">';
			}
		}
					   
		$post_output .= '<h3>'.get_the_title().'</h3></div></section>';
		if($services_linked == 1){
			$post_output .= '</a>';
		}
        $post_output .= '</div>';
		$post_output .= '<div class="col-md-8 col-sm-8">';
		if($services_excerpt_number != '' && $services_excerpt_number != 0){
			$post_output .= tentered_excerpt($services_excerpt_number);
		}
		if($services_more == 1){
			$post_output .= '<a href="'.get_permalink().'" class="btn btn-primary btn-secondary">'.$services_more_text.'</a>';
		}
		$post_output .= '</div>
				</div>
			</li>';
	}
	else
	{
		$post_output .= '<li class="col-md-'.$services_grid_column.' col-sm-6 grid-item service-grid-item format-standard">
                        <div class="grid-item-inner">';
	if($services_linked == 1){
		$post_output .= '<a href="'.get_the_permalink().'">';
	}
	if($services_thumb == 'icon'){
		$post_output .= '<section><div>';
		$post_output .= '<i class="fa '.$icon.'"></i>';
	} else {
		$post_output .= '<section class="service-imagen"><div>';
		if(has_post_thumbnail())
		{
			$post_output .= $thumbnail;
		} else {
			$post_output .= '<img src="' . vc_asset_url( 'vc/no_image.png' ) . '" alt="Image">';
		}
	}
                   
   	$post_output .= '<h3>'.get_the_title().'</h3></div>
                  
                  <div class="services-overlay">';
					if($services_excerpt_number != '' && $services_excerpt_number != 0){
                  		$post_output .= '<div class="services-info"><div>';
                    	$post_output .= tentered_excerpt($services_excerpt_number);
                  		$post_output .= '</div></div>';
					}
	$post_output .= '</div></section>';
	if($services_linked == 1){
		$post_output .= '</a>';
	}
	$post_output .= '</div></li>';
	}
	endwhile; endif; wp_reset_postdata();
	if($services_view=="carousel")
	{
		$post_output .= '</ul></div>';
	}
	elseif($services_view=="list")
	{
		$post_output .= '</div>';
	}
	else
	{
		$post_output .= '</ul>';
	}
	
	if($services_view!="list")
	{
		$post_output .= '</div>';
	}

	$post_output .= '</div>';
	global $tentered_allowed_tags;
	echo wp_kses($post_output, $tentered_allowed_tags);
	if($services_pagination == 1){
		$post_output .= '<div class="margin-10"></div>';
		$GLOBALS['wp_query'] = $post_list;
		$post_output .= tentered_pagination();
 		wp_reset_query();
	}
?>